Summary:        Install kmod/akmod drivers
Name:           driver-manager
Version:        1.2
Release:        1%{?dist}

Url:            https://msvsphere-os.ru
License:        GPLv2+
Source0:        %{name}-%{version}.tar.xz

BuildArch:      noarch

Requires:       bash
Requires:       perl-Locale-gettext
Requires:       perl-JSON-PP
Requires:       perl-Sys-Hostname
Requires:       yad

BuildRequires:  desktop-file-utils
BuildRequires:  perl-Locale-gettext
BuildRequires:  perl-JSON-PP
BuildRequires:  perl-Sys-Hostname
BuildRequires:  yad
BuildRequires:  make

%description
Program for managing third-party drivers for some devices

%prep
%autosetup -p1

%build

%install
DESTDIR=%{buildroot} BIN_DIR=%{_bindir} LIB_DIR=%{_usr}/lib DATA_DIR=%{_datadir} SYSCONFDIR=%{_sysconfdir} make install
pushd %{buildroot}%{_bindir}
ln -s driver-manager.pl driver-manager
popd

%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/driver-manager.desktop
desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/driver-manager-auto.desktop

%files -f %{name}.lang
%doc README.md
%license COPYING
%config(noreplace) %{_sysconfdir}/xdg/autostart/driver-manager-auto.desktop
%{_usr}/lib/%{name}
%{_bindir}/driver-manager*
%{_datadir}/icons/hicolor/*/apps/%{name}*.*
%{_datadir}/applications/driver-manager.desktop

%changelog
* Tue Nov 26 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.2-1
- Added FTE3600, FTE4800, FTE6600 fingerprints detection

* Thu Aug 22 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.1-1
- Rewrite install/uninstall scripts
- Optimize icons and deskop files

* Thu Aug 15 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.0.1-1
- Added stk83xx driver detection

* Fri Aug  2 2024 Dmitry Samoylik <Dmitriy.Samoylik@softline.com> - 1.0-1
- Initial build
